Bug 9854

Summary: <x:transform> tag isn't executed correctly
Product: Taglibs Reporter: Kan Ogawa <super-creek>
Component: Standard TaglibAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED INVALID    
Severity: normal    
Priority: P3    
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: All   

Description Kan Ogawa 2002-06-13 22:30:40 UTC
When I opened "/xml/TransformWithInclusion.jsp" in standard-examples 
application,
JSPException occurred, as follows:

javax.servlet.jsp.JspException: C:\Tomcat4.0\bin\included.xml ( <the Japanese 
error message which means "file not found"> )
	at org.apache.taglibs.standard.tag.common.xml.TransformSupport.doEndTag
(TransformSupport.java:224)
	at org.apache.jsp.Transform$jsp._jspService(Transform$jsp.java:167)
	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:107)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at org.apache.jasper.servlet.JspServlet$JspServletWrapper.service
(JspServlet.java:201)
	at org.apache.jasper.servlet.JspServlet.serviceJspFile
(JspServlet.java:381)
	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:473)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
.................................................
.................................................
.................................................
( C:\Tomcat4.0\bin -> the current directory as running the servlet-container )

But when the deployment of the XML-Parser's JAR files is replaced as follows,
this jsp has been executed correctly.

[ Before ]
 sax.jar
 jaxp-api.jar
 dom.jar
 xalan.jar
 xercesImpl.jar

[ After ]
 crimson.jar ( included in Standard 1.0 Beta2 )
 xalan.jar ( included in Standard 1.0 Beta2 )

< The Runtime Environment >
 Windows 2000 ( Japanese-version )
 JDK 1.3.1_02
 Tomcat 4.0.4 Beta3
 Standard 1.0 taglib ( Nightly Build 2002/6/11 )
Comment 1 Shawn Bayern 2002-06-13 23:07:38 UTC
Hi Kan - thanks for the report.  What version of the Standard Taglib are you 
using?  I believe this is a known issue that's fixed in the most recent nightly 
builds, but I want to make sure I'm not misunderstanding.
Comment 2 Kan Ogawa 2002-06-13 23:47:31 UTC
I just downloaded the most recent nightly builds of Standard 1.0 taglib.
I deployed it on web application and restarted servlet-container.

However, 
as I reopened "/xml/TransformWithInclusion.jsp" in standard-examples  
application,
it was the same result with this bug-report.

I have a doubt to the behavior of XSLT engine, but I don't feel sure of myself.
Comment 3 Kan Ogawa 2002-06-14 00:18:38 UTC
I add a few supplements about the deployment.

[ a list of "standard 1.0 taglib" JAR files deployed on Tomcat 4.0 ]

- $CATALINE_HOME/webapps/standard-examples/WEB-INF/lib
jaxen-full.jar
jdbc2_0-stdext.jar
jstl.jar
saxpath.jar
standard.jar

- $CATALINA_HOME/common/lib
activation.jar ( default JAR file in Tomcat 4.0 Standard APIs )
jdbc2_0-stdext.jar ( default JAR file in Tomcat 4.0 Standard APIs )
jndi.jar ( default JAR file in Tomcat 4.0 Standard APIs )
jta-spec1_0_1 ( default JAR file in Tomcat 4.0 Standard APIs )
mail.jar ( default JAR file in Tomcat 4.0 Standard APIs )
servlet.jar ( default JAR file in Tomcat 4.0 Standard APIs )
tyrex-0.9.7.0.jar ( default JAR file in Tomcat 4.0 Standard APIs )
naming-common.jar ( default JAR file in Tomcat 4.0 Standard APIs )
naming-resources.jar ( default JAR file in Tomcat 4.0 Standard APIs )
dom.jar
sax.jar
jaxp-api.jar
xalan.jar
xercesImpl.jar

- etc.
remove "xerces.jar" ( default JAR file in Tomcat 4.0 Standard APIs )
Comment 4 Kan Ogawa 2002-06-17 16:18:42 UTC
I'm sorry!!!
I didn't recognize JAXP 1.2 SystemID handling.

As replacing
 'xmlSystemId="foo.xml"'
with
 'xmlSystemId="http://localhost:8080/standard-examples/xml/foo.xml"'
in "<x:transform>",
<x:transform> tag has executed correctly.

I have grasped it as a known issue about the integration JAXP 1.1 or 1.2.

Thanks,
Kan Ogawa.